Summary: Wnn6 Client Library
Name: Wnn6-SDK
Version: 1.0
Release: 6
Copyright: OMRON Corporation, OMRON Software Co., Ltd.
Group: System Environment/Libraries
Source: ftp://ftp.omronsoft.co.jp/pub/Wnn6/sdk_source/%{name}-sources.tar.gz
Patch0: Wnn6-SDK.config.patch
Patch1: wnn6-sdk_incl.patch
Patch2: wnn6-sdk_shared.patch
Patch3: wnn6-sdk_malloc.patch
Patch4: Wnn6-SDK.static.patch
Patch5: Wnn6-SDK.nonroot.patch
Patch6: wnn6-sdk-cpp_workaround.patch
Patch7: Wnn6-SDK-1.0.patch
URL: http://www.omronsoft.co.jp/SP/pcunix/wnn/
Prefix: /usr
BuildRoot: /var/tmp/%{name}-root
Summary(ja): Wnn6 饤 饤֥

Vendor: RedHat
Distribution: RedHat
Packager: ISHIKAWA Mutsumi <ishikawa@redhat.com>

%description
Runtime Wnn6 client library necessary to run Wnn6 clients.

%description -l ja
Wnn6 饤ȤưΤɬפʥ󥿥 Wnn6 饤 饤֥ꡣ

%package devel
Summary: development library and header file for Wnn6
Group: Development/Libraries
Summary(ja): Wnn6 ѳȯ饤֥ȥإåե

%description devel
This package contains header files and libraries for Wnn6
client developments.

%description devel -l ja
Υѥåˤ Wnn6 饤ȤγȯѤΥإåեȥ饤֥
ޤߤޤ

%prep
%setup -q -n src
cd contrib/im/Xsi
%patch0 -p4
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0
cd Wnn/jlib
%patch7 -p0

rm -fr ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
	ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
	ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.3
fi
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/man1

%build
cd contrib/im/Xsi
make World -f Makefile.ini

%install
cd contrib/im/Xsi
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc contrib/im/Xsi/README
#%dir /var/lib/wnn6/
#%dir /var/lib/wnn6/ja_JP/
%{prefix}/lib/libwnn6.so.1.0.0
%{prefix}/lib/libwnn6.so.1.0

%files devel
%defattr(-,root,root)
%{prefix}/lib/libwnn6.a
%{prefix}/lib/libwnn6.so
%{prefix}/include/wnn6/

%post
/sbin/ldconfig
ln -s /usr/local/OMRONWnn6/wnn6linux /var/lib/wnn6

%postun
/sbin/ldconfig
rm /var/lib/wnn6

%changelog
* Thu Aug  3 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- rebuilt for 7.0
- make depend dones not work correctly(Is this cpp bug?),
  So, add wnn6-sdk-cpp_workaround.patch added (very ad-hoc
  solution :-<)
 
* Tue Mar 21 2000 Chris Ding <cding@redhat.com>
- added %defattr
- /var/lib/wnn6 -> /usr/local/OMRONWnn6/wnn6linux
- changed group

* Tue Oct 12 1999 Matt Wilson <msw@redhat.com>
- rebuilt for 6.1
- removed test to see if building as root - we never want to chown

* Sat Jun 26 1999 FURUSAWA,Kazuhisa <kazu@linux.or.jp>
- 2nd Release for i386 (glibc2.1).
- Original Packager: Atsushi Yamagata <yamagata@plathome.co.jp>

* Wed Jan 27 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- change installed directories and name of the library
- added Prefix tag

* Mon Nov 10 1998 Keisude Fujii <fujiik@jlcuxf.kek.jp>
- 1st release
